summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2023-07-30 12:32:56 +0200
committerChristian Grothoff <christian@grothoff.org>2023-07-30 12:32:56 +0200
commitd9c0a5067a6548b9543a9ef177a1c8bd4cefcb73 (patch)
tree5829ab30e749a59cf38f2cb204086bd4005305d9
parent6fa8b102d66615dc5cc81c9781221039ef41841e (diff)
downloadsync-d9c0a5067a6548b9543a9ef177a1c8bd4cefcb73.tar.gz
sync-d9c0a5067a6548b9543a9ef177a1c8bd4cefcb73.tar.bz2
sync-d9c0a5067a6548b9543a9ef177a1c8bd4cefcb73.zip
-remove _tuple suffix
-rwxr-xr-xcontrib/uncrustify.sh14
-rw-r--r--src/syncdb/plugin_syncdb_postgres.c10
2 files changed, 19 insertions, 5 deletions
diff --git a/contrib/uncrustify.sh b/contrib/uncrustify.sh
new file mode 100755
index 0000000..e8e05d3
--- /dev/null
+++ b/contrib/uncrustify.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+set -eu
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
+
+if ! uncrustify --version >/dev/null; then
+ echo "you need to install uncrustify for indentation"
+ exit 1
+fi
+
+find "$DIR/../src" \( -name "*.cpp" -o -name "*.c" -o -name "*.h" \) \
+ -exec uncrustify -c "$DIR/uncrustify.cfg" --replace --no-backup {} + \
+ || true
diff --git a/src/syncdb/plugin_syncdb_postgres.c b/src/syncdb/plugin_syncdb_postgres.c
index 1d22239..7b6b3a9 100644
--- a/src/syncdb/plugin_syncdb_postgres.c
+++ b/src/syncdb/plugin_syncdb_postgres.c
@@ -502,8 +502,8 @@ postgres_store_payment (void *cls,
GNUNET_PQ_query_param_string (order_id),
GNUNET_PQ_query_param_auto_from_type (&tok),
GNUNET_PQ_query_param_timestamp (&now),
- TALER_PQ_query_param_amount_tuple (pg->conn,
- amount),
+ TALER_PQ_query_param_amount (pg->conn,
+ amount),
GNUNET_PQ_query_param_end
};
@@ -593,9 +593,9 @@ payment_by_account_cb (void *cls,
&order_id),
GNUNET_PQ_result_spec_auto_from_type ("token",
&token),
- TALER_PQ_result_spec_amount_tuple ("amount",
- pic->pg->currency,
- &amount),
+ TALER_PQ_result_spec_amount ("amount",
+ pic->pg->currency,
+ &amount),
GNUNET_PQ_result_spec_end
};